Need help? Chat now!

Hostwinds دروس

نتائج البحث عن:


جدول المحتويات


الحد الأدنى لمتطلبات النظام

متطلبات نظام Magento

العلامات Magento 

الحد الأدنى لمتطلبات النظام

لتشغيل بسلاسة على أي نظام، سيكون لدى Magento مجموعة من المتطلبات الدنيا والموصى بها.يتم توفير الحد الأدنى من المتطلبات للمستخدمين تثبيت Magento على الخادم الخاص بهم لمعرفة ما يجب تخصيصه.هنا، يتم كتابة هذا الدليل ل Magento الإصدار 1.9.x، حيث x قد يكون أي رقم في إصدار هذه النسخة الرئيسية للمجتمع.

الحد الأدنى لمتطلبات النظام

الرامات "الذاكرة العشوائية في الهواتف والحواسيب: يتطلب Magento ما لا يقل عن 512 ميغابايت من ذاكرة الوصول العشوائي على الخادم للعمل بشكل صحيح. ومع ذلك، يوصى به للحصول على ذاكرة الوصول العشوائي 1 جيجابايت على الأقل لأداء أفضل.

بيئة LAMP أو LEMP: ما يعنيه هذا هو أن Magento عادة ما ينفذ بشكل أفضل عندما يكون في هذا النوع من بيئة الويب. مصباح يقف لينكس، Apache، MySQL، و PHP. في الوقت نفسه، يكون LEMP لنظام Linux و Nginx و MySQL و PHP. نحن لا نستخدم nginx حاليا على خطط الاستضافة المشتركة والشركات المتاحة. ومع ذلك، يتم تلبية متطلبات المصباح بأحدث خطط استضافة لدينا.

نظام التشغيل: يتطلب Magento تثبيته على خادم Linux مع x86 Architecture. هذا يعني أنه لن يكون من الممكن تثبيته على نظام التشغيل Windows. يتم استيفاء هذا المطلب أيضًا مع خطط الاستضافة الحالية لدينا ، مثل استضافة الأعمال والاستضافة المشتركة.

إصدار خادم الويب: نظرا لأن Magento يدعم خوادم الويب المختلفة، فهناك إصدارات مختلفة لهذه التي سيتطلبها.

اباتشي: مع Apache، سيتطلب Magento أن يتم استخدام الإصدار 2.x على الأقل، حيث سيكون X رقما لتحديد إصدار Apache أكثر. حاليا، تستخدم خطط استضافة أحدث إصدار الإصدار 2.4، لذلك لن يكون هذا مشكلة.

Nginx: بالنسبة ل Nginx، يتطلب Magento أنه يتم استخدام الإصدار 1.7.x على الأقل، مع X كونه رقما لتحديد إصدار Nginx أكثر. لا تستخدم خطط الاستضافة لدينا Nginx بشكل افتراضي، على الرغم من أنه على خادم VPS أو سحابة أو خادم مخصص، لديك الوصول إلى الجذر لتثبيت خادم ويب مثل Nginx.

إصدار PHP: ينص Magento على أنه سيتطلب من الإصدار 5.4 أو 5.5 أو 5.6 على الأقل. مع خطط استضافة مشتركة ومشتركة بين الأعمال، سيكون لديك القدرة على استخدام PHP الإصدار 5.6، بالإضافة إلى 7.0.

وحدات PHP: تستخدم PHP وحدات لبعض الوظائف المضافة. يستخدم Magento هذا لتوفير العديد من الميزات التي يقومون بها. سيتم تمكين كل هذه في خطط الاستضافة المشتركة والعمل.

  • PDO_MySQL
  • simplexml ..
  • مكربت
  • تجزئة
  • جي دي
  • DOM
  • iconv
  • صابون
  • لفة

قاعدة البيانات: بالنسبة لقاعدة بيانات Magento ، فإنه يستخدم MySQL (بالإضافة إلى MariaDB).

  • نسخة MySQL: يتطلب Magento الإصدار 5.6 من MySQL

SSL: وإن لم يكن مطلوبا، فإن SSL موصى بها بشدة مع Magento حيث سيكون بمثابة مخزن. سوف ترغب في التأكد من تأمين جميع معلومات عملائك وتشفيرها.

يمكن لأي حزمة استضافة ويب Linux تقدمها Hostwinds تلبية هذه المتطلبات.

إذا كان لديك أي أسئلة أخرى حول Magento ، يرجى الاتصال بنا من خلال Live Chat أو الاتصال بنا أو تسجيل التذكرة مع فريق الدعم الفني لدينا.

كتب بواسطة Hostwinds Team  /  أبريل 10, 2018